%define version 4.4.0
%define rversion 0.2.3

%define realname kadm5
%define modname kadm5
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

%define mod_lib "-I%{_includedir}/krb5 -lk5crypto -lkrb5 -lgssrpc -lkadm5clnt"
%define mod_def "-DHAVE_DLFCN_H -DCOMPILE_DL_KADM5"

Summary:	Remote access to Kerberos Administration Servers for PHP4
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	LGPL
URL:		http://pecl.php.net/package/kadm5
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		kadm5-0.2.3-label_at_end_of_compound_statement.diff.bz2
Requires:	php4-cli
Requires:	krb5-libs
BuildRequires:	php4-devel
BuildRequires:	krb5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This package allows you to access Kerberos V administration
servers. You can create, modify, and delete Kerberos V principals
and policies.

%prep

%setup -q -n %{modname}-%{rversion}
%patch0 -p0

%build

%{_usrsrc}/php4-devel/buildext %{modname} %{modname}.c %{mod_lib} %{mod_def}

#php4ize
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc doc examples tests CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.2.3-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.2.3-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.2.3-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2.3-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2.3-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2.3-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2.3-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.2.3-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.2.3-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2.3-2mdk
- remove redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2.3-1mdk
- rebuilt for php-4.3.7
- added P0

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2.3-2mdk
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2.3-1mdk
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2.3-1mdk
- built for php 4.3.4
- drop work around for the borked libkrb51-devel-1.3-2mdk package

* Fri Aug 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.2.3-1mdk
- built for php 4.3.3
- work around the borked libkrb51-devel-1.3-2mdk package
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.2.3-1mdk
- initial cooker contrib
